Remind::PDF::Entry(3pm)

NAME
Remind::PDF::Entry - Representation of one calendar entry

DESCRIPTION
"Remind::PDF::Entry" and its subclasses represent one calendar entry. They can be normal reminder-type entries or SPECIAL reminders.

CLASS METHODS

  Remind::PDF::Entry->new_from_hash($hash)
Create and return a new "Remind::PDF::Entry" based on one reminder's worth of data from "remind -p". Returns a "Remind::PDF::Entry" object, or in the case of SPECIAL reminders, a subclass of "Remind::PDF::Entry".

INSTANCE METHODS

  render($pdf, $cr, $settings, $so_far, $day, $col, $height)
Render a single entry. $pdf is the parent "Remind::PDF" object. $cr is a Cairo drawing context and $settings is the usual settings hash. $so_far is the Y-coordinate at which to start drawing. $day is the month day and $col is the calendar column. $height is the height of the calendar box.

If $height is zero, then nothing should actually be drawn, but the height of the calendar entry should be computed.

Returns the height of the calendar entry.